package com.jw.app.business.table;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface TableDAO {
	/**
	 * 插入
	 * 
	 * @return
	 */
	void insert_tables_info(Map<String, Object> entity)
			throws BusinessException;

	/**
	 * 修改
	 * 
	 * @throws BusinessException
	 */
	void update_tables_info(Map<String, Object> entity)
			throws BusinessException;

	/**
	 * 删除
	 * 
	 * @throws BusinessException
	 */
	void delete_tables_info(Map<String, Object> entity)
			throws BusinessException;

	/**
	 * 列表及详情
	 * @param rowbounds
	 * @param query
	 * @return
	 * @throws BusinessException
	 */
	List<Map<String, Object>> list_tables_info(RowBounds rowbounds,
			Map<String, Object> query) throws BusinessException;

	List<Map<String, Object>> list_tables_info(Map<String, Object> query)
			throws BusinessException;

	int list_tables_info_Count(Map<String, Object> query)
			throws BusinessException;
}
